Package opennlp.tools.ml.maxent.io

## Class QNModelReader

- java.lang.Object
- - opennlp.tools.ml.model.AbstractModelReader
  - - opennlp.tools.ml.maxent.io.GISModelReader
    - - opennlp.tools.ml.maxent.io.QNModelReader

- Direct Known Subclasses:
    `BinaryQNModelReader`

      public class QNModelReader
      extends GISModelReader

  The base class for readers of `QN models`.
  See Also:
    `QNModel`, `GISModelReader`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QNModelReader​(File file)` | Initializes a `QNModelReader` via a `File`.
    `QNModelReader​(DataReader dataReader)` | Initializes a `QNModelReader` via a `DataReader`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkModelType()` | Checks the model type via the the underlying `DataReader`.
    `QNModel` | `constructModel()` | Retrieves a model from disk.

    - ### Methods inherited from class opennlp.tools.ml.model.AbstractModelReader

      `getModel, readDouble, readInt, readUTF`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QNModelReader

          public QNModelReader​(DataReader dataReader)

      Initializes a `QNModelReader` via a `DataReader`.
      Parameters:
        `dataReader` - The `DataReader` that references the model to be read.

    - #### QNModelReader

          public QNModelReader​(File file)
                        throws IOException

      Initializes a `QNModelReader` via a `File`.
      Parameters:
        `file` - The `File` that references the model to be read.
      Throws:
        `IOException` - Thrown if IO errors occurred.

  - ### Method Detail

    - #### checkModelType

          public void checkModelType()
                              throws IOException

      Description copied from class: `AbstractModelReader`
      Checks the model type via the the underlying `DataReader`.
      Overrides:
        `checkModelType` in class `GISModelReader`
      Throws:
        `IOException` - Thrown if IO errors occurred checking the model type.

    - #### constructModel

          public QNModel constructModel()
                                 throws IOException

      Retrieves a model from disk.

      If you are creating a reader for a format which won't work with this (perhaps a database or xml file), override this method and ignore the other methods provided in this abstract class.

      Overrides:
        `constructModel` in class `GISModelReader`
      Returns:
        The `QNModel` stored in the format and location specified to this `QNModelReader` (usually via its constructor).
      Throws:
        `IOException` - Thrown if IO errors occurred during (re-)construction.